<!DOCTYPE html>
<html lang="en">
<head>
    <title>上交所 | 微服务平台开发脚手架生成工具</title>
    <link href="//fonts.googleapis.com/css?family=Varela+Round|Montserrat:400,700" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{{#linkTo}}/css/bootstrap.min.css{{/linkTo}}"/>
    <link rel="stylesheet" href="{{#linkTo}}/css/bootstrap-theme.min.css{{/linkTo}}"/>
    <link rel="stylesheet" href="{{#linkTo}}/css/spring.css{{/linkTo}}"/>
    <link rel="shortcut icon" type="image/x-icon" href="/img/favicon.png"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {{#trackingCode}}
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
      'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-KZM7GF6');</script>
    {{/trackingCode}}
</head>
<body>
<form id="form" action="/starter.zip" method="get" role="form">
    <div class="container-fluid">
        <div class="row start-header">
            <div class="container">
                <h1>上交所<small>微服务平台开发脚手架生成工具</small></h1>
            </div>
        </div>
        <div class="container start-main">
            <div class="row form-inline text-center">
                <div class="form-group project-choice">
                    <h2>
                        <span class="rwd-line">
                        <label for="type">Generate a</label>
                        <select tabindex="1" class="form-control" id="type" name="type">
                            {{#types.content}}
                            <option data-action="{{action}}" value="{{id}}" {{#default}}
                                    selected{{/default}}>{{name}}</option>
                            {{/types.content}}
                        </select>
                        <label for="language">with</label>
                        <select tabindex="2" class="form-control" name="language" id="language">
                            {{#languages.content}}
                            <option value="{{id}}" {{#default}} selected{{/default}}>{{name}}</option>
                            {{/languages.content}}
                        </select>
                        </span>
                        <span class="rwd-line">
                        <label for="bootVersion">and Spring Boot</label>
                        <select tabindex="3" class="form-control" name="bootVersion" id="bootVersion">
                            {{#bootVersions.content}}
                            <option value="{{id}}" {{#default}} selected{{/default}}>{{name}}</option>
                            {{/bootVersions.content}}
                        </select>
                    </span>
                    </h2>
                </div>
            </div>

            <input id="baseDir" name="baseDir" type="hidden" value="{{artifactId.content}}">

            <div class="row">
                <div class="col-sm-12 col-md-6">
                    <h2>Project Metadata</h2>

                    <p>Artifact coordinates</p>

                    <div class="form-group groupid-form-group">
                        <label for="groupId" class="control-label">{{groupId.title}}</label>
                        <input tabindex="4" id="groupId" class="form-control" type="text" value="{{groupId.content}}"
                               name="groupId">
                    </div>
                    <div class="form-group artifactid-form-group">
                        <label for="artifactId" class="control-label">{{artifactId.title}}</label>
                        <input tabindex="5" id="artifactId" class="form-control" type="text"
                               value="{{artifactId.content}}"
                               name="artifactId">
                    </div>
                    <div class="form-group full hidden name-form-group">
                        <label for="name" class="control-label">{{name.title}}</label>
                        <input tabindex="6" id="name" class="form-control" type="text" value="{{name.content}}"
                               name="name">
                    </div>
                    <div class="form-group full hidden description-form-group">
                        <label for="description" class="control-label">{{description.title}}</label>
                        <input tabindex="7" id="description" class="form-control" type="text"
                               value="{{description.content}}" name="description">
                    </div>
                    <div class="form-group full hidden packagename-form-group">
                        <label for="packageName" class="control-label">{{packageName.title}}</label>
                        <input tabindex="8" id="packageName" class="form-control" type="text"
                               value="{{packageName.content}}"
                               name="packageName">
                    </div>
                    <div class="form-group full hidden packaging-form-group">
                        <label for="packaging" class="control-label">{{packagings.title}}</label>
                        <select tabindex="9" class="form-control" id="packaging" name="packaging">
                            {{#packagings.content}}
                            <option value="{{id}}"{{#default}} selected{{/default}}>{{name}}</option>
                            {{/packagings.content}}
                        </select>
                    </div>
                    <div class="form-group full hidden javaversion-form-group">
                        <label for="javaVersion" class="control-label">{{javaVersions.title}}</label>
                        <select tabindex="10" class="form-control" name="javaVersion" id="javaVersion">
                            {{#javaVersions.content}}
                            <option value="{{id}}"{{#default}} selected{{/default}}>{{name}}</option>
                            {{/javaVersions.content}}
                        </select>
                    </div>
                </div>
                <div class="col-sm-12 col-md-6">
                    <h2>Dependencies（选择依赖）</h2>

                    <p>选择建立项目所需要的依赖。</p>

                    <div class="form-group">
                        <label for="autocomplete" class="control-label">搜索依赖:</label>
                        <input tabindex="11" id="autocomplete" class="form-control" type="text"
                               placeholder="Web, Security, JPA, Actuator, Devtools..."
                               name="autocomplete">
                    </div>
                    <div class="form-group">
                        <label for="starters" class="control-label">已选择的依赖:</label>
                        <div id="starters">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row hidden tosimpleversion">
                <p>太多选项？ <a href="#">切换到简洁版本。</a></p>
            </div>
            <div class="row">
                <p class="text-center">
                    <button tabindex="12" name="generate-project" type="submit" class="btn btn-lg btn-primary"
                            role="button">
                        生成项目
                    </button>
                </p>
            </div>
            <div class="row tofullversion">
                <p>不知道要找什么?想要更多选项吗? <a href="#">切换到高级版本。</a></p>
            </div>
            <div class="row">
                <div id="dependencies" class="full hidden">
                    {{#dependencies.content}}
                    <div class="form-group col-sm-6">
                        <h3>{{name}}</h3>
                        {{#content}}
                        <div class="checkbox" data-range="{{#versionRange}}{{versionRange}}{{/versionRange}}">
                            <label>
                                <input tabindex="13" type="checkbox" name="style" value="{{id}}">{{name}}
                                <p class="help-block">{{#description}}{{.}}{{/description}}</p>
                                {{#versionRequirement}}
                                <p class="help-block version-requirement">requires Spring Boot {{.}}</p>
                                {{/versionRequirement}}
                            </label>
                        </div>
                        {{/content}}
                    </div>
                   {{/dependencies.content}}
                </div>
            </div>
            <div class="row full hidden">
                <p class="text-center">
                    <button tabindex="14" name="generate-project" type="submit" class="btn btn-lg btn-primary"
                            role="button">
                        生成项目
                    </button>
                </p>
            </div>
        </div>
    </div>
</form>
<footer>
    <div class="container">
        <p>Powered by <a target="_blank" href="https://www.daocloud.io/">DaoCloud</a> And <a target="_blank" href="https://github.com/spring-io/initializr/">Spring Initializr</a>
            And <a target="_blank" href="https://run.pivotal.io">Pivotal Web Services</a></p>
    </div>
</footer>
<script src="{{#linkTo}}/js/jquery-3.1.1.min.js{{/linkTo}}"></script>
<script src="{{#linkTo}}/js/typeahead.bundle.min.js{{/linkTo}}"></script>
<script src="{{#linkTo}}/js/mousetrap.min.js{{/linkTo}}"></script>
<script src="{{#linkTo}}/js/start.js{{/linkTo}}"></script>
</body>
</html>
